Reply To: "Hitachi old"

HomeForumsGeneral Discussion"Hitachi old"Reply To: "Hitachi old"

Author Replies
Ucla # Posted on 2012-05-03 at 06:45AM UTC
avatar

He should be able to. Those ones shouldn’t be effected by the 2.5 challenge so he will not need to wait for LT 3.0 as it will not be made for that drive. He will not however be able to play xgd3 unless he has upgraded to lt 2.0 firmware. Any custom firmware prior to that will NOT allow Xgd3 to be played at all. If they aren’t booting up I would assume he never upgraded to 2.0. It was released about 6 months ago so if it hasn’t been re-modded since then its a good indication he doesn’t have it. Once he upgraded he should be set till M$ releases some new crazy protection in the future which will require another update.. This scene is a constant uphill battle.